import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { d as defaultIconPack } from './default-icon-pack.js';
import { u as useLanguage } from './index2.js';
import { s as state } from './store.js';
import { d as defineCustomElement$4 } from './dyte-controlbar-button2.js';
import { d as defineCustomElement$3 } from './dyte-icon2.js';
import { d as defineCustomElement$2 } from './dyte-spinner2.js';

const dyteMoreToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteMoreToggle$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.isOpen = false;
    this.toggleMoreMenu = () => {
      this.isOpen = !this.isOpen;
      this.stateUpdate.emit({ activeMoreMenu: this.isOpen });
      state.activeMoreMenu = this.isOpen;
    };
  }
  render() {
    const text = this.t('More');
    const states = this.states || state;
    const icon = (states === null || states === void 0 ? void 0 : states.activeMoreMenu) === true ? this.iconPack.chevron_down : this.iconPack.chevron_up;
    return (h(Host, { title: text }, h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, onClick: () => this.toggleMoreMenu(), icon: icon, label: text, part: "controlbar-button" })));
  }
  static get style() { return dyteMoreToggleCss; }
}, [1, "dyte-more-toggle", {
    "states": [16],
    "size": [513],
    "iconPack": [16],
    "t": [16],
    "isOpen": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-more-toggle", "dyte-controlbar-button", "dyte-icon", "dyte-spinner"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-more-toggle":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteMoreToggle$1);
      }
      break;
    case "dyte-controlbar-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "dyte-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "dyte-spinner":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const DyteMoreToggle = DyteMoreToggle$1;
const defineCustomElement = defineCustomElement$1;

export { DyteMoreToggle, defineCustomElement };
