import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { ControlBarVariant } from '../dyte-controlbar-button/dyte-controlbar-button';
/**
 * A button which toggles visibility of plugins.
 *
 * When clicked it emits a `dyteStateUpdate` event with the data:
 *
 * ```ts
 * { activeSidebar: boolean; sidebar: 'plugins' | 'none' }
 * ```
 */
export declare class DytePluginsToggle {
  /** Variant */
  variant: ControlBarVariant;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  pluginsActive: boolean;
  connectedCallback(): void;
  statesChanged(s?: States): void;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  private togglePlugins;
  render(): any;
}
