import { IconPack } from '../../lib/icons';
import { Meeting } from '../../types/dyte-client';
import { Size, Poll } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
/**
 * A component which lists all available plugins a user can access with
 * the ability to enable or disable them as per their permissions.
 */
export declare class DytePolls {
  private onCreate;
  private onVote;
  private pollEl;
  /** Meeting object */
  meeting: Meeting;
  /** Config */
  config: UIConfig;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Create State */
  create: boolean;
  /** Polls */
  polls: Poll[];
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private toggleCreateState;
  componentDidRender(): void;
  render(): any;
}
